Bug 186798 - [maintainer update] update graphics/converseen to 0.6.7
[maintainer update] update graphics/converseen to 0.6.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-15 18:30 UTC by fernando.apesteguia
Modified: 2014-02-17 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.25 KB, patch)
2014-02-15 18:30 UTC, fernando.apesteguia
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2014-02-15 18:30:00 UTC
Update graphics/converseen to 0.6.7

Very simple patch. Tested in redports.org

Port: graphics/converseen 0.6.7

      Buildgroup:     9.2-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fernape/20140214194600-18719-176078/converseen-0.6.7.log

      Buildgroup:     9.2-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fernape/20140214194600-18719-176079/converseen-0.6.7.log

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2014-02-16 17:34:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter freebsd_committer 2014-02-17 21:09:25 UTC
Author: pawel
Date: Mon Feb 17 21:09:17 2014
New Revision: 344822
URL: http://svnweb.freebsd.org/changeset/ports/344822
QAT: https://qat.redports.org/buildarchive/r344822/

Log:
  - Update to version 0.6.7 [1]
  - Convert to new LIB_DEPENDS format
  - Trim dependencies where they are too detailed
  - Strip program binary
  - Port is stage safe
  
  PR:		ports/186798 [1]
  Submitted by:	maintainer

Modified:
  head/graphics/converseen/Makefile
  head/graphics/converseen/distinfo
  head/graphics/converseen/pkg-plist

Modified: head/graphics/converseen/Makefile
==============================================================================
--- head/graphics/converseen/Makefile	Mon Feb 17 20:51:44 2014	(r344821)
+++ head/graphics/converseen/Makefile	Mon Feb 17 21:09:17 2014	(r344822)
@@ -2,31 +2,21 @@
 # $FreeBSD$
 
 PORTNAME=	converseen
-PORTVERSION=	0.6.4
+PORTVERSION=	0.6.7
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/Converseen/Converseen%200.6/
 
 MAINTAINER=	fernando.apesteguia@gmail.com
 COMMENT=	Easy to use graphics conversion utility
 
-LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		pcre:${PORTSDIR}/devel/pcre \
-		Magick++:${PORTSDIR}/graphics/ImageMagick \
-		lcms2:${PORTSDIR}/graphics/lcms2 \
-		lqr-1:${PORTSDIR}/graphics/liblqr-1 \
-		png15:${PORTSDIR}/graphics/png \
-		fftw3:${PORTSDIR}/math/fftw3 \
-		freetype:${PORTSDIR}/print/freetype2 \
-		expat:${PORTSDIR}/textproc/expat2 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
+LIB_DEPENDS=	libMagick++.so:${PORTSDIR}/graphics/ImageMagick
 
 USE_BZIP2=	yes
-USE_AUTOTOOLS=	libltdl
 USES=		cmake gettext iconv
-USE_XORG=	ice sm x11 xau xcb xdmcp xext xrender xt
 USE_QT4=	corelib gui linguist_build moc_build qmake_build \
 		rcc_build uic_build
-USE_GNOME=	glib20
 
-NO_STAGE=	yes
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/converseen
+
 .include <bsd.port.mk>

Modified: head/graphics/converseen/distinfo
==============================================================================
--- head/graphics/converseen/distinfo	Mon Feb 17 20:51:44 2014	(r344821)
+++ head/graphics/converseen/distinfo	Mon Feb 17 21:09:17 2014	(r344822)
@@ -1,2 +1,2 @@
-SHA256 (converseen-0.6.4.tar.bz2) = eac85f576018080d4a0ce904e4e8bc8a37365a4bbfec6f1ba410d4ac67625ad3
-SIZE (converseen-0.6.4.tar.bz2) = 223060
+SHA256 (converseen-0.6.7.tar.bz2) = 66672f899984ecc265ef64e3b9ad2e550f58e79a44e9a040ab68d22b0b75dc3e
+SIZE (converseen-0.6.7.tar.bz2) = 263580

Modified: head/graphics/converseen/pkg-plist
==============================================================================
--- head/graphics/converseen/pkg-plist	Mon Feb 17 20:51:44 2014	(r344821)
+++ head/graphics/converseen/pkg-plist	Mon Feb 17 21:09:17 2014	(r344822)
@@ -1,18 +1,20 @@
 bin/converseen
 share/applications/converseen.desktop
-%%DATADIR%%/converseen_cs_CZ.qm
-%%DATADIR%%/converseen_de_DE.qm
-%%DATADIR%%/converseen_es_CL.qm
-%%DATADIR%%/converseen_fr_FR.qm
-%%DATADIR%%/converseen_hu_HU.qm
-%%DATADIR%%/converseen_it_IT.qm
-%%DATADIR%%/converseen_pt_BR.qm
-%%DATADIR%%/converseen_ru_RU.qm
-%%DATADIR%%/converseen_tr_TR.qm
-%%DATADIR%%/converseen_pl_PL.qm
+%%DATADIR%%/loc/converseen_cs_CZ.qm
+%%DATADIR%%/loc/converseen_de_DE.qm
+%%DATADIR%%/loc/converseen_es_CL.qm
+%%DATADIR%%/loc/converseen_fr_FR.qm
+%%DATADIR%%/loc/converseen_hu_HU.qm
+%%DATADIR%%/loc/converseen_it_IT.qm
+%%DATADIR%%/loc/converseen_ja_JP.qm
+%%DATADIR%%/loc/converseen_pl_PL.qm
+%%DATADIR%%/loc/converseen_pt_BR.qm
+%%DATADIR%%/loc/converseen_ru_RU.qm
+%%DATADIR%%/loc/converseen_tr_TR.qm
 share/kde4/services/ServiceMenus/converseen_import.desktop
 share/pixmaps/converseen.png
 @dirrmtry share/kde4/services/ServiceMenus
 @dirrmtry share/kde4/services
 @dirrmtry share/kde4
+@dirrm %%DATADIR%%/loc
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2014-02-17 21:09:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!